//
//  Styles.swift
//  SampleApp
//
//  Created by Nishan Niraula on 8/24/22.
//  Copyright © 2022 David Zhang. All rights reserved.
//

import Foundation
import UIKit

protocol AmityButtonStyle {
    func apply(to button: UIButton)
}

struct DefaultButtonStyle: AmityButtonStyle {
    
    func apply(to button: UIButton) {
        button.addRoundedCorner(radius: 12)
        button.backgroundColor = UIColor(hex: "009B72")
        button.setTitleColor(UIColor.white, for: .normal)
        button.titleLabel?.font = UIFont.systemFont(ofSize: 16, weight: .semibold)
    }
}

extension UIButton {
    
    func applyStyle(style: AmityButtonStyle) {
        style.apply(to: self)
    }
}

